<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	$cV01 = $_POST['v1'];	/* DESDE */
	$cV02 = $_POST['v2'];	/* HASTA */
?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// CONSULTA SQL
		$sql = "DECLARE @DESDE DATE = '".$cV01."' \n"
			  ."DECLARE @HASTA DATE = '".$cV02."' \n"
			  ."SELECT C.NUMSERIE, C.NUMPEDIDO, D.DOCUMENTO AS SUPEDIDO, SUM(D.CANTIDADDEVUELTA) AS UNIDADES, ISNULL(D.ESTADO, 0) AS ESTADO \n"
			  ."FROM JOIN_DEVOLUCIONES AS D \n"
			  ."LEFT JOIN PEDVENTACAB AS C ON (D.DOCUMENTO = C.SUPEDIDO COLLATE Modern_Spanish_CI_AS) \n"
			  ."WHERE (CONVERT(DATE, D.FECHA) >= @DESDE AND CONVERT(DATE, D.FECHA) <= @HASTA) AND (D.MODULO = 2) \n"
			  ."GROUP BY C.NUMSERIE, C.NUMPEDIDO, D.DOCUMENTO, D.ESTADO";
		$pa1 = array();
		$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
		// Lanzar la consulta
		$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
		if (sqlsrv_num_rows($re1) != 0)
		{
			echo "
			<div class='x_panel'>
				<div class='x_title'>
					<h3>Pedidos de reserva recibidos</h3>
					<div class='clearfix'></div>
				</div>
				<div class='table-responsive'>
					<table id='example' class='table table-striped table-bordered' style='width:100%'>
						<thead>
							<tr>
								<th></th>
								<th>SERIE</th>
								<th>PEDIDO</th>
								<th>SUPEDIDO</th>
								<th>UNIDADES</th>
								<th>ESTADO</th>
							</tr>
						</thead>
						<tbody>";
						while($fila = sqlsrv_fetch_array($re1))
						{
							$cV01 = $fila['SUPEDIDO'];
							echo "
								<tr>
									<td>
										<button class='btn btn-sm btn-dark' type='button' data-placement='top' onclick=popup01('$cV01') data-toggle='tooltip' data-original-title='Detalle'><i class='fa fa-list-alt'></i></button>
									</td>
									<td>".$fila['NUMSERIE']."</td>
									<td>".$fila['NUMPEDIDO']."</td>
									<td>".$fila['SUPEDIDO']."</td>
									<td>".$fila['UNIDADES']."</td>";
									if ($fila['ESTADO'] == 0)
									{
										echo "
											<td>
												<button class='btn btn-sm btn-danger' type='button' data-placement='top' onclick=popup02('$cV01') data-toggle='tooltip' data-original-title='Detalle'>PENDIENTE DE PROCESAR</button>
											</td>
										";
									}
									else
									{
										echo "
											<td>
												<button class='btn btn-sm btn-dark' type='button' data-placement='top' onclick=popup02('$cV01') data-toggle='tooltip' data-original-title='Detalle'>PROCESADO</button>
											</td>
										";
									}
									echo "
								</tr>
							";
						}
						echo "
						</tbody>
					</table>
				</div>
			</div>
			";
		}
		else
		{
			echo "
			<div class='alert alert-warning alert-dismissible fade in' role='alert'>
			<button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>×</span>
			</button>
				Registros <strong>NO</strong> localizados.
			</div>
			";
		}
		sqlsrv_free_stmt($re1);
	}
	sqlsrv_close($conexion);
?>
<script>
	$(document).ready(function() {
		$('#example').DataTable();
	} );
</script>